

**** Budget cycles with informed voters -Estimation master file ****

* Written: 7/12/16 *

********************************************************************

* To estimate all tables in the paper, set all switches to 1 *

clear all
set more off


// Code files

local code_coefficient_plots       			"Coefficient_plots.do"	  							// Generates figures 5, 6, and 7 in the paper
local code_baseline                			"Estimation_baseline.do"	  						// Baseline results (Table 1); (Table 13)
local code_sample_splits		           	"Estimation_sample_splits.do"	   					// Sample splits results (Tables 3-7); Table 16
local code_reelection				        "Estimation_reelection.do"							// Probit results on re-election (Table 8)
local code_SP_TL				       	 	"Estimation_TL_fiscal_rules.do"								// Term limits and stability pact	(Table 21)	 			
local code_disaggregated		       	 	"Estimation_disaggregated.do"			 			// Baseline results, disaggregated for revenues and expenditures (Table 2)
local code_rob1                				"Robustness_table_10.do"	  						// Robustness 
local code_rob2                				"Robustness_endogenous_elections.do"	  			// Robustness
local code_rob3                				"Robustness_excluding_groups.do"	  				// Robustness
local code_rob4                				"Robustness_additional_checks.do"	  				// Robustness
local code_rob5                				"Robustness_table_9.do"	  							// Robustness


// Switches: these control which parts of the analysis code you will re-run
#delimit ;	
local switches_all
	coefficient_plots
	baseline 
	sample_splits
	reelection			
	disaggregated
	SP_TL
	rob1
	rob2
	rob3
	rob4
	rob5
	;
#delimit cr

/// Switches ////
local switch_coefficient_plots 				= 1 
local switch_baseline        				= 0 
local switch_sample_splits					= 0	   		
local switch_reelection						= 0		
local switch_SP_TL							= 0				
local switch_disaggregated					= 0			
local switch_rob1        					= 0 
local switch_rob2       					= 0 
local switch_rob3        					= 0 
local switch_rob4        					= 0
local switch_rob5        					= 0


// Start timer
timer on 1

foreach switch of local switches_all {
	if `switch_`switch'' {
		do `code_`switch''
	}
}

// End timer
timer off 1
timer list 1
